Subject: Re: bug#26126: 26.0.50; file-notify-rm-watch removes arbitrary watches

From: Andreas Politz <[email-masked]>
Date: Tue, 21 Mar 2017 19:59:57 +0100

Eli Zaretskii <[email-masked]> writes:

> But Andreas asks about calling remote handlers, about which we by
> definition know much less.  In that context, it might indeed make
> sense to pass the file, not its parent directory, because the handler
> can easily reconstruct the parent directory if that's what it needs.
> By contrast, there's no way for the handler to intuit the file which
> was stripped.
>
> WDYT?

Actually, I was talking about both aspects and incidentally, in this
context about the other one.  I refer to packages using filenotify.el as
clients.

But, yes, what you're expressing, is what I was trying to get at before.

-ap